---
apiVersion: discovery.k8s.io/v1beta1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.130.0.12
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: catalog-operator-887559f54-g4cgp
      namespace: openshift-operator-lifecycle-manager
      resourceVersion: "9535"
      uid: 9ef703ac-6a01-4dc6-87a6-a2bd1554f603
    topology:
      kubernetes.io/hostname: master-0.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:39:54Z"
    creationTimestamp: "2022-03-08T10:14:07Z"
    generateName: catalog-operator-metrics-
    generation: 3
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: catalog-operator-metrics
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"e5d0883a-b0f1-4684-88ef-2e8349e746ea"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:39:54Z"
    name: catalog-operator-metrics-dmkvg
    namespace: openshift-operator-lifecycle-manager
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: catalog-operator-metrics
      uid: e5d0883a-b0f1-4684-88ef-2e8349e746ea
    resourceVersion: "9537"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-operator-lifecycle-manager/endpointslices/catalog-operator-metrics-dmkvg
    uid: 150ae948-06b5-4ca0-b110-19ae551cef99
  ports:
  - name: https-metrics
    port: 8081
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.128.0.18
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: olm-operator-5fbfc8c78-h4nwt
      namespace: openshift-operator-lifecycle-manager
      resourceVersion: "9349"
      uid: f7657635-4bc2-4746-be0b-24caea965b4e
    topology:
      kubernetes.io/hostname: master-1.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:39:52Z"
    creationTimestamp: "2022-03-08T10:14:06Z"
    generateName: olm-operator-metrics-
    generation: 3
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: olm-operator-metrics
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"0b1f5857-f4ed-46a5-830b-532aee46ee6b"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:39:52Z"
    name: olm-operator-metrics-59xxc
    namespace: openshift-operator-lifecycle-manager
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: olm-operator-metrics
      uid: 0b1f5857-f4ed-46a5-830b-532aee46ee6b
    resourceVersion: "9353"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-operator-lifecycle-manager/endpointslices/olm-operator-metrics-59xxc
    uid: 5119ba46-2add-4064-8f33-d49dec2f8767
  ports:
  - name: https-metrics
    port: 8081
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.130.0.15
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: packageserver-6886676455-gjjmp
      namespace: openshift-operator-lifecycle-manager
      resourceVersion: "9957"
      uid: 1df943c2-72ef-413d-a856-ff0cb92cbd2a
    topology:
      kubernetes.io/hostname: master-0.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.128.0.20
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: packageserver-6886676455-bnt4p
      namespace: openshift-operator-lifecycle-manager
      resourceVersion: "9973"
      uid: 2166c5bd-5647-4293-8752-751f0d75edb4
    topology:
      kubernetes.io/hostname: master-1.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:40:03Z"
    creationTimestamp: "2022-03-08T10:39:56Z"
    generateName: packageserver-service-
    generation: 5
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: packageserver-service
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"b738c22c-f279-4ebc-8aa2-d25c49f093b5"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:40:02Z"
    name: packageserver-service-m7hd7
    namespace: openshift-operator-lifecycle-manager
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: packageserver-service
      uid: b738c22c-f279-4ebc-8aa2-d25c49f093b5
    resourceVersion: "9974"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-operator-lifecycle-manager/endpointslices/packageserver-service-m7hd7
    uid: 90d81908-94c1-4f27-b283-5cc2c154f239
  ports:
  - name: "5443"
    port: 5443
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "83405"
  selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-operator-lifecycle-manager/endpointslices
